country field here
PUT https://services.leadconnectorhq.com/contacts/{contactId}
Autorización
Bearer token generado desde el portal Leadway. Ver Autenticación.
Versión de la API.
Path parameters
Contact Id
Body
Show propiedades
Show propiedades
This field will overwrite all current tags associated with the contact. To update a tags, it is recommended to use the Add Tag or Remove Tag API instead.
The birth date of the contact. Supported formats: YYYY/MM/DD, MM/DD/YYYY, YYYY-MM-DD, MM-DD-YYYY, YYYY.MM.DD, MM.DD.YYYY, YYYY_MM_DD, MM_DD_YYYY
User’s Id
Respuestas
200 - Successful response
200 - Successful response
Show propiedades
Show propiedades
Show propiedades
Show propiedades
Show propiedades
Show propiedades
Show propiedades
Show propiedades
visitorId is the Unique ID assigned to each Live chat visitor.
{
"succeded": true,
"contact": {
"id": "seD4PfOuKoVMLkEZqohJ",
"name": "rubika deo",
"locationId": "ve9EPM428h8vShlRW1KT",
"firstName": "rubika",
"lastName": "Deo",
"email": "rubika@deos.com",
"emailLowerCase": "rubika@deos.com",
"timezone": "Asia/Calcutta",
"companyName": "DGS VolMAX",
"phone": "+18832327657",
"dnd": true,
"dndSettings": {
"Call": {
"status": "active",
"message": "string",
"code": "string"
},
"Email": {
"status": "active",
"message": "string",
"code": "string"
},
"SMS": {
"status": "active",
"message": "string",
"code": "string"
},
"WhatsApp": {
"status": "active",
"message": "string",
"code": "string"
},
"GMB": {
"status": "active",
"message": "string",
"code": "string"
// truncado: 80 lineas mas
}
400 - Bad Request
400 - Bad Request
{}
401 - Unauthorized
401 - Unauthorized
{}
422 - Unprocessable Entity
422 - Unprocessable Entity
{}
Ejemplo
curl -X PUT 'https://services.leadconnectorhq.com/contacts/YOUR_contactId' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28' \
-H 'Content-Type: application/json' \
-d '{
"firstName": "rosan",
"lastName": "Deo",
"name": "rosan Deo",
"email": "rosan@deos.com",
"phone": "+1 888-888-8888",
"address1": "3535 1st St N",
"city": "Dolomite",
"state": "AL",
"postalCode": "35061",
"website": "https://www.tesla.com",
"timezone": "America/Chihuahua",
"dnd": true,
"dndSettings": {
"Call": {
"status": "active",
"message": "string",
"code": "string"
},
"Email": {
"status": "active",
"message": "string",
"code": "string"
},
"SMS": {
"status": "active",
"message": "string",
"code": "string"
},
"WhatsApp": {
"status": "active",
"message": "string",
"code": "string"
},
"GMB": {
"status": "active",
"message": "string",
"code": "string"
},
"FB": {
"status": "active",
"message": "string",
"code": "string"
}
},
"inboundDndSettings": {
"all": {
"status": "active",
"message": "string"
}
},
"tags": [
"nisi sint commodo amet",
"consequat"
],
"customFields": [],
"source": "public api",
"dateOfBirth": "1990-09-25",
"country": "US",
"assignedTo": "y0BeYjuRIlDwsDcOHOJo"
}'
const response = await fetch('https://services.leadconnectorhq.com/contacts/YOUR_contactId', {
method: 'PUT',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
'Content-Type': 'application/json',
},
body: JSON.stringify({"firstName": "rosan", "lastName": "Deo", "name": "rosan Deo", "email": "rosan@deos.com", "phone": "+1 888-888-8888", "address1": "3535 1st St N", "city": "Dolomite", "state": "AL", "postalCode": "35061", "website": "https://www.tesla.com", "timezone": "America/Chihuahua", "dnd": true, "dndSettings": {"Call": {"status": "active", "message": "string", "code": "string"}, "Email": {"status": "active", "message": "string", "code": "string"}, "SMS": {"status": "active", "message": "string", "code": "string"}, "WhatsApp": {"status": "active", "message": "string", "code": "string"}, "GMB": {"status": "active", "message": "string", "code": "string"}, "FB": {"status": "active", "message": "string", "code": "string"}}, "inboundDndSettings": {"all": {"status": "active", "message": "string"}}, "tags": ["nisi sint commodo amet", "consequat"], "customFields": [], "source": "public api", "dateOfBirth": "1990-09-25", "country": "US", "assignedTo": "y0BeYjuRIlDwsDcOHOJo"}),
});
const data = await response.json();
import os, requests
response = requests.request(
'PUT',
'https://services.leadconnectorhq.com/contacts/YOUR_contactId',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
'Content-Type': 'application/json',
},
json={"firstName": "rosan", "lastName": "Deo", "name": "rosan Deo", "email": "rosan@deos.com", "phone": "+1 888-888-8888", "address1": "3535 1st St N", "city": "Dolomite", "state": "AL", "postalCode": "35061", "website": "https://www.tesla.com", "timezone": "America/Chihuahua", "dnd": true, "dndSettings": {"Call": {"status": "active", "message": "string", "code": "string"}, "Email": {"status": "active", "message": "string", "code": "string"}, "SMS": {"status": "active", "message": "string", "code": "string"}, "WhatsApp": {"status": "active", "message": "string", "code": "string"}, "GMB": {"status": "active", "message": "string", "code": "string"}, "FB": {"status": "active", "message": "string", "code": "string"}}, "inboundDndSettings": {"all": {"status": "active", "message": "string"}}, "tags": ["nisi sint commodo amet", "consequat"], "customFields": [], "source": "public api", "dateOfBirth": "1990-09-25", "country": "US", "assignedTo": "y0BeYjuRIlDwsDcOHOJo"},
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/contacts/YOUR_contactId');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'PUT',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
'Content-Type: application/json',
],
CURLOPT_POSTFIELDS => json_encode({'firstName': 'rosan', 'lastName': 'Deo', 'name': 'rosan Deo', 'email': 'rosan@deos.com', 'phone': '+1 888-888-8888', 'address1': '3535 1st St N', 'city': 'Dolomite', 'state': 'AL', 'postalCode': '35061', 'website': 'https://www.tesla.com', 'timezone': 'America/Chihuahua', 'dnd': true, 'dndSettings': {'Call': {'status': 'active', 'message': 'string', 'code': 'string'}, 'Email': {'status': 'active', 'message': 'string', 'code': 'string'}, 'SMS': {'status': 'active', 'message': 'string', 'code': 'string'}, 'WhatsApp': {'status': 'active', 'message': 'string', 'code': 'string'}, 'GMB': {'status': 'active', 'message': 'string', 'code': 'string'}, 'FB': {'status': 'active', 'message': 'string', 'code': 'string'}}, 'inboundDndSettings': {'all': {'status': 'active', 'message': 'string'}}, 'tags': ['nisi sint commodo amet', 'consequat'], 'customFields': [], 'source': 'public api', 'dateOfBirth': '1990-09-25', 'country': 'US', 'assignedTo': 'y0BeYjuRIlDwsDcOHOJo'}),
]);
$data = json_decode(curl_exec($ch), true);

